# -*- coding: utf-8 -*-
"""
James Elgy - 2019
Generic testing script designed to go through the entire image formation
pipeline.
"""

from GBSAR.Params import Params
from GBSAR.RangeProfiles import RangeProfiles
from GBSAR.Data import Data
from GBSAR.SAR import SAR
from timeit import default_timer as tm
from numba import cuda

D = Data()
P = Params()
print('Load Data')
D.LoadFile()

D.SubtractMean()
D.SubtractCL(P.CableLength)
D.CorrectSC(P)

print('Form RP')
R = RangeProfiles(D, P)
R.FormRangeProfiles()
Gate = R.RangeGate(-3, 3)
# R.PlotRangeProfiles()
S = SAR(D, P, R)

Cont = cuda.current_context()
Cont.reset()
print('BackProjecting')
S1 = tm()
S.BackProjection_GPU()
S2 = tm()

print(S2 - S1)

# S.PlotSAR()
