
import numpy as np


class Params:
    """
    James Elgy - 2019

    General parameter file for use with the GBSAR ascii loader functions.
    This script is called at the begining of the image formation process,
    populating the control dict used throughout the image formation and
    analysis.
    """

    def __init__(self):
        # Plotting Options
        self.SC = np.array([1.75, 4, 1.3])
        self.Lcr = 6
        self.Lr = 6
        self.Lel = 0.25
        self.CRDensity = 6/200
        self.RDensity = 6/200
        self.ZDensity = 0.25/200
        self.DynamicRange = 20
        self.Plot3D = False
        self.UpsampleFactor = 4
        #Geometry Options
        self.CableLength = 12.27
        self.GeometryIndex = 0
        self.RadarHeight = 2.615
        self.RotationAngle = 0

