# -*- coding: utf-8 -*-
"""
James Elgy - 2019
This module contains a class designed to create a 1d, 2d, or 3d window to
be applied over the top of an array of the same size.
The avaliable windows are those listed in the scipy windows modules:
Barthann
Bartlett
Blackman
Blackmanharris
Bohman
Flattop
Hamming
Hann
Nuttal
Parzen
Triang


"""
import numpy as np
from scipy.signal import windows as win


class Window(object):

    def __init__(self, WinType, Size):
        self.Window = WinType
        self.SizeDim_1 = Size[0]
        self.SizeDim_2 = Size[1]
        self.SizeDim_3 = Size[2]

    def FormWindow(self):
        self.WinDim_1.shape = (self.SizeDim_1, 1, 1)
        self.WinDim_2.shape = (1, self.SizeDim_2, 1)
        self.WinDim_3.shape = (1, 1, self.SizeDim_3)
        self.Window = np.float64(np.asarray(self.WinDim_1 *
                                            self.WinDim_2 *
                                            self.WinDim_3))

    def GetWindow(self):
        WinType = self.Window
        self.WinDim_1 = win.get_window(WinType, self.SizeDim_1, fftbins=False)
        self.WinDim_2 = win.get_window(WinType, self.SizeDim_2, fftbins=False)
        self.WinDim_3 = win.get_window(WinType, self.SizeDim_3, fftbins=False)
        self.FormWindow()
