# GBSAR
Python backprojector and loader for GBSAR data

This package contains methods for constructing and manipulating a data structure associated with GBSAR lab data. The package contains classes dedicated to each step of the SAR imaging process, each with individual methods associated with them.
Currently contents are:
  1. Data - A class to load, window and filter the raw phase data generated by the GBSAR lab equipment.
  2. Params - A class containing all the independent parameters associated with the SAR image formation. Such as the physical electrical length associated with the equipment, the height of the antennas, the angle of the SAR rail with respect to the wall, and the image extent and sampling rate.
  3. RangeProfiles - A class dedicated to the formation of B-scan data from the complex phase history.
  4. Windows - A small class to manipulate and generate appropriatly sized window functions to be applied to the phase history.
  5. SAR - A class to perform direct back projection, either on CPU or GPU, and displaying the resultant images.
  
  
